org.jboss.resteasy.plugins.providers.multipart

## Interface MultipartConstants

-     public interface MultipartConstants

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_XOP_XML` "application/xop+xml"
    `static MediaType` | `APPLICATION_XOP_XML_TYPE` "application/xop+xml"
    `static String` | `MULTIPART_MIXED` "multipart/mixed"
    `static MediaType` | `MULTIPART_MIXED_TYPE` "multipart/mixed"
    `static String` | `MULTIPART_RELATED` "multipart/related"
    `static MediaType` | `MULTIPART_RELATED_TYPE` "multipart/related"
    `static String` | `TEXT_PLAIN_WITH_CHARSET_ISO_8859_1` Default fallback of the HTTP 1.1 protocol.
    `static MediaType` | `TEXT_PLAIN_WITH_CHARSET_ISO_8859_1_TYPE` Default fallback of the HTTP 1.1 protocol.
    `static String` | `TEXT_PLAIN_WITH_CHARSET_US_ASCII` Default fallback of MIME messages "text/plain; charset=us-ascii"
    `static MediaType` | `TEXT_PLAIN_WITH_CHARSET_US_ASCII_TYPE` Default fallback of MIME messages "text/plain; charset=us-ascii"

- - ### Field Detail

    - #### MULTIPART_MIXED

          static final String MULTIPART_MIXED

      "multipart/mixed"
      See Also:
        Constant Field Values

    - #### MULTIPART_MIXED_TYPE

          static final MediaType MULTIPART_MIXED_TYPE

      "multipart/mixed"

    - #### MULTIPART_RELATED

          static final String MULTIPART_RELATED

      "multipart/related"
      See Also:
        Constant Field Values

    - #### MULTIPART_RELATED_TYPE

          static final MediaType MULTIPART_RELATED_TYPE

      "multipart/related"

    - #### TEXT_PLAIN_WITH_CHARSET_ISO_8859_1

          static final String TEXT_PLAIN_WITH_CHARSET_ISO_8859_1

      Default fallback of the HTTP 1.1 protocol.

      "text/plain; charset=ISO-8859-1"
      See Also:
        Constant Field Values

    - #### TEXT_PLAIN_WITH_CHARSET_ISO_8859_1_TYPE

          static final MediaType TEXT_PLAIN_WITH_CHARSET_ISO_8859_1_TYPE

      Default fallback of the HTTP 1.1 protocol.

      "text/plain; charset=ISO-8859-1"

    - #### TEXT_PLAIN_WITH_CHARSET_US_ASCII

          static final String TEXT_PLAIN_WITH_CHARSET_US_ASCII

      Default fallback of MIME messages

      "text/plain; charset=us-ascii"
      See Also:
        Constant Field Values

    - #### TEXT_PLAIN_WITH_CHARSET_US_ASCII_TYPE

          static final MediaType TEXT_PLAIN_WITH_CHARSET_US_ASCII_TYPE

      Default fallback of MIME messages

      "text/plain; charset=us-ascii"

    - #### APPLICATION_XOP_XML

          static final String APPLICATION_XOP_XML

      "application/xop+xml"
      See Also:
        Constant Field Values

    - #### APPLICATION_XOP_XML_TYPE

          static final MediaType APPLICATION_XOP_XML_TYPE

      "application/xop+xml"

Copyright © 2014. All Rights Reserved.